#ifndef  IP_VS_CB_PA_H_
#define  IP_VS_CB_PA_H_

#include <linux/config.h>


struct ip_vs_cb_pa_service
{
  struct list_head s_list;
  __u32            caddr;             
  __u32            rs_addr;         
  __u16            rs_port;         
  atomic_t         refcnt;
};

extern struct ip_vs_cb_pa_service * ip_vs_cb_pa_lookup_service(__u16 protocol, __u32 addr, __u16 port);
extern struct ip_vs_cb_pa_service *ip_vs_cb_pa_add_svc(__u16  protocol, __u32  caddr, __u32  rs_addr, __u16 rs_port);
extern void ip_vs_cb_pa_del_svc(struct ip_vs_cb_pa_service  *pa_svc);
extern int ip_vs_cb_pa_svc_init(void);

#endif
